<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwDipEditDptCreate Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=utf-8">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwDipEditDptCreate.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      This panel is used to subscribe to complex DIP publications. It allows to
      specify the matching of the dpes and the DIP tags, create new DPT and
      create the instances of given DPTs.
      <p>The panel contains the mechanisms to perform the type chcecking
      between DIP types and dpe types.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2">
      The central section of the panel is filled with a table which shows the
      structure of the publication. The table has following columns:
      <ul>
      <li> DIP Tag - contains the names of the publication fields
      <li> Datatype - contains the user-friendly name of the datatype
      <li> Datapoint Element - contains the name of the dpe of selected DP to
      	which the given DIP tag will be subscribed.
      </ul>
      <p>
      The upper part of the panel is devoted to selection and creation of DPTs
      and DPs. Here follows the description of the elements:
      <ul>
      <li> DPT selection box: Contains all the DPTs selected according to the
      	   criteria choosen from the radio buttons. The DPTs are being selected
	   from DIP designated DPTs (prefixed with DIP).
      <li> DP selection box: Contains all the DPs of the selected DPT that can
           be used for the subscription purposes.
      <li> Create DPT button: Clicking this will prompt a user for the name of
      	   the DPT to create. The created DPT will have the structure matching
	   the structure of the DIP publication.
      <li> Create DP button: Clicking this will prompt a user for the name of
      	   the DP to create. The created DP will be of currently selected DPT.
      <li> Radio buttons:
      	<ul>
	<li> Matching DPT: will list all the DPTs which have dpes that match
		fields of DIP publication - both names and types must match.
		The DPT can have additional dpes - they are not taken into
		account.
	<li> Compatible DPT: will list all the DPTs which have enough dpes of
		each of the publication field type. (e.g. publication has
		4 integer fields and 3 boolean fields, thus DPT with 5 integer
		dpes, 5 boolean fields is compatible).
	<li> All DPT: will list all the DPTs.
	</ul>
      </ul>
      </p>
      <p>
      Clicking on any row in the table will pop up the panel in which one
      can manually select which dpe will be used for subscribing to given field.
      </p>
      <p>
      Changing the DPT will clear the entries in the &quot;Datapoint
      Element&quot;
      </p>
      <p>
      The bottom part of the panel contains the buttons:
      <ul>
      <li>Fill matchin dpes: fill the table - will fill the &quot;Datapoint
      Element&quot; column for rows, where both names and types in dpe and
      DIP publication match.
      <li>Clear: clear the &quot;Datapoint Element&quot; column of the table
      <li>Subscribe: proceed with subscription according to chosen settings
      <li>Cancel: abort the creation of subscription
      </ul>
      </p>
      
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2">To update the list of current configuration data points, 
      you must manually press the &quot;Refresh&quot; button.&nbsp; This is important to 
      ensure that you are viewing the latest information.<br>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<div align="center">
  <center>
<table border="0" style="border-collapse: collapse" bordercolor="#111111" cellpadding="0" cellspacing="0">
  <tbody>
    <tr>
      <td width="0" height="0">
        <div align="center">
          <img
 src="fwDipEditDptCreate.PNG" alt="Panel screenshot" width="767" height="490"></div>
      </td>
    </tr>
  </tbody>
</table>
  </center>
</div>
<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td><a name="$sConfigDp">$sConfigDp</a></td>
      <td>Contains the DIP API Manager config DP - which is needed to execute
          a DIP query.</td>
      <td>Required</td>
    </tr>
    <tr>
      <td><a name="$sDipPublicationName">$sDipPublicationName</a></td>
      <td>The name of the DIP publication that we want to subscribe to.
      </td>
      <td>Required</td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>